Add some documentation with an example how to use meta-sourcery #9

Closed
lpapp opened this Issue Jul 25, 2013 · 13 comments

Comments

Projects
None yet
3 participants

lpapp commented Jul 25, 2013

Similarly to this bugreport:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=4907

it would be nice to get any idea how to use this layer, i.e. what I am supposed to put into the build configuration files after integrating this layer into our project, and so forth.

lpapp commented Jul 25, 2013

I have just tried to use this stuff based on the meta-xilinx README. See the issues below: https://bugzilla.yoctoproject.org/show_bug.cgi?id=4908

Owner

kergoth commented Jul 25, 2013

Adding the info here as well for tracking purposes: suggesting making certain that meta-sourcery is before meta in BBLAYERS, to ensure its files are used in preference to those in meta.

lpapp commented Jul 25, 2013

I submitted my file in here: https://bugzilla.yoctoproject.org/show_bug.cgi?id=4908

Same issue with proper order. Were you able to reproduce it?

Owner

kergoth commented Jul 25, 2013

No luck so far with master. Fresh install of that toolchain you linked, fresh clone of poky, fresh clone of meta-sourcery. Added meta-sourcery to bblayers, set MACHINE to qemuarm, set EXTERNAL_TOOLCHAIN, set my BB_NUMBER_THREADS and PARALLEL_MAKE, and it's on task 735 or 3192, successfully running a variety of target tasks which indicates it got past the external toolchain recipe without problems.

I'll try the 9.0.1 release tarballs next.

Owner

kergoth commented Jul 25, 2013

Successfully building with 9.0.1, with the same steps as in the previous comment, but using the release tarball instead of the poky clone, 803 of 3246 tasks so far.

lpapp commented Jul 25, 2013

Lame github does not allow me to attach any other formats than png, jpg, etc.

Please check the two latest attachments in here: https://bugzilla.yoctoproject.org/show_bug.cgi?id=4908

Are your configs similar? I am using the upstream poky repository from master without any modification except that I clone meta-sourcery master into it for integration.

Anything that you have different?

lpapp commented Jul 25, 2013

Just in case, you are not getting libpseudo errors either? Is your build host 32 or 64 bit? Besides, what host distribution do you use?

lpapp commented Jul 25, 2013

Attached the corrected config files on the yocto issue tracker. Can you take a look at those now?

This is the error message:

bitbake core-image-minimal
Parsing recipes: 100% |######################################################################################################################################################################################################| ETA: 00:00:00
Parsing of 848 .bb files complete (0 cached, 848 parsed). 1175 targets, 48 skipped, 0 masked, 0 errors.

Build Configuration:
BB_VERSION = "1.19.1"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "arch-rolling"
TARGET_SYS = "arm-poky-linux-gnueabi"
MACHINE = "qemuarm"
DISTRO = "poky"
DISTRO_VERSION = "1.4+snapshot-20130725"
TUNE_FEATURES = "armv5 thumb dsp"
TARGET_FPU = "soft"
CSL_VER_MAIN = "2009q1-203"
EXTERNAL_TOOLCHAIN = "/usr/local/arm-2009q1"
meta-sourcery = "master:832ce1937780bbb508050f02ac8a8bf309045fef"
meta
meta-yocto
meta-yocto-bsp = "master:67864ca79da08df752487a3a4e1a975546da123d"

NOTE: Resolving any missing task queue dependencies
NOTE: preferred version 4.3% of nativesdk-gcc-runtime not available (for item virtual/nativesdk-x86_64-pokysdk-linux-compilerlibs)
NOTE: versions of nativesdk-gcc-runtime available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-gcc-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-g++-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk-initial not available (for item virtual/x86_64-pokysdk-linux-gcc-initial-crosssdk)
NOTE: versions of gcc-crosssdk-initial available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1
NOTE: Preparing runqueue
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
No currently running tasks (90 of 1503)
ERROR: ld.so: object 'libpseudo.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: Function failed: do_install (log file is located at /home/lpapp/Projects/poky/build/tmp/work/armv5te-poky-linux-gnueabi/external-sourcery-toolchain/2009q1-203-r22/temp/log.do_install.30072)
ERROR: Logfile of failure stored in: /home/lpapp/Projects/poky/build/tmp/work/armv5te-poky-linux-gnueabi/external-sourcery-toolchain/2009q1-203-r22/temp/log.do_install.30072
Log data follows:
| ERROR: ld.so: object 'libpseudo.so' from LD_PRELOAD cannot be preloaded: ignored.
| DEBUG: Executing shell function do_install
| cp: cannot stat '/usr/local/arm-2009q1/bin/../arm-none-linux-gnueabi/libc/usr/libexec': No such file or directory
| ERROR: Function failed: do_install (log file is located at /home/lpapp/Projects/poky/build/tmp/work/armv5te-poky-linux-gnueabi/external-sourcery-toolchain/2009q1-203-r22/temp/log.do_install.30072)
ERROR: Task 31 (/home/lpapp/Projects/poky/meta-sourcery/recipes/meta/external-sourcery-toolchain.bb, do_install) failed with exit code '1'
NOTE: Tasks Summary: Attempted 91 tasks of which 0 didn't need to be rerun and 1 failed.
Waiting for 0 running tasks to finish:

Summary: 1 task failed:
/home/lpapp/Projects/poky/meta-sourcery/recipes/meta/external-sourcery-toolchain.bb, do_install
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

Owner

kergoth commented Jul 25, 2013

64 bit, Ubuntu 12.04.2 LTS. I'd suggest trying NO32LIBS = "0" if you're seeing the pseudo issue (not sure why I'm not), that should make certain pseudo builds both 32 bit and 64 bit binaries, rather than just the 64 bit. As the external toolchain binaries are almost certainly 32 bit, it would explain the issues. You'll also need to correct the TCMODE as indicated in the other bug. I believe if you make those two adjustments, and drop the other workarounds you added to local.conf, you'll have better luck.

lpapp commented Jul 25, 2013

Yeah, I was certain it is because the libpseudo issue due to the following bug we discussed today with others:

https://bugzilla.yoctoproject.org/show_bug.cgi?id=4843

But it is good that you have a workaround.

Correct the TCMODE? It is already external-sourcery, or that is not okay?

Other workarounds in local.conf? I have only the sanity check and ldflags, but those are dropped now, too. Please check the other tracker for the files.

Worked for me with Poky master

Build Configuration:
BB_VERSION = "1.19.1"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "Ubuntu-12.10"
TARGET_SYS = "arm-poky-linux-gnueabi"
MACHINE = "beagleboard"
DISTRO = "poky"
DISTRO_VERSION = "1.4+snapshot-20130725"
TUNE_FEATURES = "armv7a vfp neon"
TARGET_FPU = "vfp-neon"
CSL_VER_MAIN = "2009q1-203"
EXTERNAL_TOOLCHAIN = "/usr/local/arm-2009q1"
meta-sourcery = "master:832ce1937780bbb508050f02ac8a8bf309045fef"
meta
meta-yocto
meta-yocto-bsp = "master:766c40b228f92aea86c5d066e898beae988370f1"

NOTE: Resolving any missing task queue dependencies
NOTE: preferred version 4.3% of nativesdk-gcc-runtime not available (for item virtual/nativesdk-x86_64-pokysdk-linux-compilerlibs)
NOTE: versions of nativesdk-gcc-runtime available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-gcc-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-g++-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk-initial not available (for item virtual/x86_64-pokysdk-linux-gcc-initial-crosssdk)
NOTE: versions of gcc-crosssdk-initial available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1

lpapp commented Jul 25, 2013

bitbake core-image-minimal
WARNING: Host distribution "arch-rolling" has not been validated with this version of the build system; you may possibly experience unexpected failures. It is recommended that you use a tested distribution.
Parsing recipes: 100% |######################################################################################################################################################################################################| ETA: 00:00:00
Parsing of 848 .bb files complete (0 cached, 848 parsed). 1175 targets, 48 skipped, 0 masked, 0 errors.

Build Configuration:
BB_VERSION = "1.19.1"
BUILD_SYS = "x86_64-linux"
NATIVELSBSTRING = "arch-rolling"
TARGET_SYS = "arm-poky-linux-gnueabi"
MACHINE = "qemuarm"
DISTRO = "poky"
DISTRO_VERSION = "1.4+snapshot-20130725"
TUNE_FEATURES = "armv5 thumb dsp"
TARGET_FPU = "soft"
CSL_VER_MAIN = "2009q1-203"
EXTERNAL_TOOLCHAIN = "/usr/local/arm-2009q1"
meta-sourcery = "master:832ce1937780bbb508050f02ac8a8bf309045fef"
meta
meta-yocto
meta-yocto-bsp = "master:67864ca79da08df752487a3a4e1a975546da123d"

NOTE: Resolving any missing task queue dependencies
NOTE: preferred version 4.3% of nativesdk-gcc-runtime not available (for item virtual/nativesdk-x86_64-pokysdk-linux-compilerlibs)
NOTE: versions of nativesdk-gcc-runtime available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-gcc-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk not available (for item virtual/x86_64-pokysdk-linux-g++-crosssdk)
NOTE: versions of gcc-crosssdk available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of gcc-crosssdk-initial not available (for item virtual/x86_64-pokysdk-linux-gcc-initial-crosssdk)
NOTE: versions of gcc-crosssdk-initial available: 4.7.2 4.8.1
NOTE: preferred version 4.3% of nativesdk-libgcc not available (for item nativesdk-libgcc)
NOTE: versions of nativesdk-libgcc available: 4.7.2 4.8.1
NOTE: Preparing runqueue
NOTE: Executing SetScene Tasks
NOTE: Executing RunQueue Tasks
ERROR: Function failed: do_compile (log file is located at /home/lpapp/Projects/poky/build/tmp/work/x86_64-linux/pseudo-native/1.5.1-r3/temp/log.do_compile.21267)
ERROR: Logfile of failure stored in: /home/lpapp/Projects/poky/build/tmp/work/x86_64-linux/pseudo-native/1.5.1-r3/temp/log.do_compile.21267
Log data follows:
| DEBUG: Executing shell function do_compile
| make: *** No rule to make target `distclean'. Stop.
| WARNING: Guessing architecture CFLAGS '-m32'.
| If you need specific flags, use --cflags.
| SQLite header for version 3007017 found in /home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr.
| Enabling in-memory database by default.
| NOTE: make -e MAKEFLAGS= libpseudo
| mkdir -p lib/pseudo/lib
| ./makewrappers
| Checking for old/new clone mechanics...New clone.
| common
| ports/common/wrapfuncs.in: .......
| linux
| ports/linux/wrapfuncs.in: ................................................................
| unix
| ports/unix/wrapfuncs.in: ................................................................
| uids_generic
| ports/uids_generic/wrapfuncs.in: ........................
| linux/newclone
| ports/linux/newclone/wrapfuncs.in: .
| Writing functions... Warning: lchown from linux overriding unix
| done. Cleaning up.
| ./maketables enums/.in
| enums/msg_type.in: type: msg_type_t (prefix 'PSEUDO_MSG_ENUM')
| ping shutdown op ack
| nak fastop
|
| enums/op.in: type: op_t (prefix 'OP_ENUM')
| extra column: int wait (default 0)
| chdir chmod chown chroot
| close creat dup fchmod
| fchown fstat link mkdir
| mknod open rename stat
| unlink symlink exec may-unlink
| did-unlink cancel-unlink
|
| enums/query_field.in: type: query_field_t (prefix 'PSQF_ENUM')
| access client dev fd
| ftype gid id inode
| mode op order path
| perm program result severity
| stamp tag text type
| uid
|
| enums/query_type.in: type: query_type_t (prefix 'PSQT_ENUM')
| extra column: const char * sql (default "LITTLE BOBBY TABLES")
| exact less greater bitand
| notequal like notlike sqlpat
|
| enums/res.in: type: res_t (prefix 'RESULT_ENUM')
| succeed fail error
|
| enums/sev.in: type: sev_t (prefix 'SEVERITY_ENUM')
| debug info warn error
| critical
|
| Writing datatypes... done. Cleaning up.
| gcc -fno-strict-aliasing -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -D_GNU_SOURCE -c -o pseudo_wrappers.o pseudo_wrappers.c
| In file included from pseudo_wrapfuncs.c:3052:0,
| from pseudo_wrappers.c:67:
| pseudo_wrapfuncs.c: In function 'wrap_fchownat':
| ports/unix/guts/fchownat.c:12:6: warning: variable 'doing_link' set but not used [-Wunused-but-set-variable]
| int doing_link = 0;
| ^
| gcc -c -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include pseudo_client.c
| gcc -c -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include pseudo_ipc.c
| gcc -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -c -o pseudo_tables.o pseudo_tables.c
| gcc -c -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include pseudo_util.c
| gcc -isystem/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -O2 -pipe -pipe -std=gnu99 -Wall -W -Wextra -fPIC -D_LARGEFILE64_SOURCE -D_ATFILE_SOURCE -m32 -DPSEUDO_PREFIX='"/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr"' -DPSEUDO_SUFFIX='""' -DPSEUDO_BINDIR='"bin"' -DPSEUDO_LIBDIR='"lib/pseudo/lib"' -DPSEUDO_LOCALSTATEDIR='"var/pseudo"' -DPSEUDO_VERSION='"1.5.1"' -DUSE_MEMORY_DB -DPSEUDO_FORCE_ASYNC -O2 -g -L/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/lib -I/home/lpapp/Projects/poky/build/tmp/sysroots/x86_64-linux/usr/include -shared -o lib/pseudo/lib/libpseudo.so
| pseudo_client.o pseudo_ipc.o
| pseudo_wrappers.o pseudo_tables.o pseudo_util.o -ldl -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libdl.so when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libdl.a when searching for -ldl
| /usr/bin/ld: skipping incompatible /lib/../lib/libdl.so when searching for -ldl
| /usr/bin/ld: skipping incompatible /lib/../lib/libdl.a when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libdl.so when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libdl.a when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libdl.so when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libdl.a when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/libdl.so when searching for -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/libdl.a when searching for -ldl
| /usr/bin/ld: cannot find -ldl
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libpthread.so when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libpthread.a when searching for -lpthread
| /usr/bin/ld: skipping incompatible /lib/../lib/libpthread.so when searching for -lpthread
| /usr/bin/ld: skipping incompatible /lib/../lib/libpthread.a when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libpthread.so when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libpthread.a when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libpthread.so when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libpthread.a when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/libpthread.so when searching for -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/libpthread.a when searching for -lpthread
| /usr/bin/ld: cannot find -lpthread
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/libgcc.a when searching for -lgcc
| /usr/bin/ld: cannot find -lgcc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /lib/../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: cannot find -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libc.so when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libc.a when searching for -lc
| /usr/bin/ld: skipping incompatible /lib/../lib/libc.so when searching for -lc
| /usr/bin/ld: skipping incompatible /lib/../lib/libc.a when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libc.so when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libc.a when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libc.so when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libc.a when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/libc.so when searching for -lc
| /usr/bin/ld: skipping incompatible /usr/lib/libc.a when searching for -lc
| /usr/bin/ld: cannot find -lc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/libgcc.a when searching for -lgcc
| /usr/bin/ld: cannot find -lgcc
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /lib/../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/../lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.1/../../../libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: skipping incompatible /usr/lib/libgcc_s.so when searching for -lgcc_s
| /usr/bin/ld: cannot find -lgcc_s
| collect2: error: ld returned 1 exit status
| make: *
* [lib/pseudo/lib/libpseudo.so] Error 1
| ERROR: oe_runmake failed
| ERROR: Function failed: do_compile (log file is located at /home/lpapp/Projects/poky/build/tmp/work/x86_64-linux/pseudo-native/1.5.1-r3/temp/log.do_compile.21267)
ERROR: Task 61 (virtual:native:/home/lpapp/Projects/poky/meta/recipes-devtools/pseudo/pseudo_1.5.1.bb, do_compile) failed with exit code '1'
NOTE: Tasks Summary: Attempted 69 tasks of which 0 didn't need to be rerun and 1 failed.
Waiting for 0 running tasks to finish:

Summary: 1 task failed:
virtual:native:/home/lpapp/Projects/poky/meta/recipes-devtools/pseudo/pseudo_1.5.1.bb, do_compile
Summary: There was 1 WARNING message shown.
Summary: There was 1 ERROR message shown, returning a non-zero exit code.

@kergoth kergoth closed this in edaebec Jul 25, 2013

lpapp commented Jul 25, 2013

I would encourage adding a one-liner for the migration path from denzil and pre, that the variables that I set up are just useless noise with this layer.

It may not be trivial for end users to clean up stuff as it has not been like that for me, apparently, either, nor the people I have asked on IRC.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment